Context menu doesn't work when using filter
2023-05-30 13:23 - Nono Nono

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues list Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 5.0.5

Description

Since v5.0.5 the context menu (the 3 dots) does nothing when there is a filter selected, except this on the developer tool:
jguery-3.6.1-ui-1.13.2-ujs-6.1.7.js?1678052137:2 GET

https://redmine.tld/issues/context_menu?utf8=%E2%9C%93&authenticity token=pSKNrjrYBaolpkbXQkS54VZ%2Bzu9fi81TeopMwE
2VBPayqitlhnriOgls9eRIUHfZRIsfISuuXGGCeQKOkQW2yw%3D%3D&back url=%2Fissues%3Fquery_id%3D61&c%5B%5D=id&c

%5B%5D=project&c%5B%5D=fixed_version&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=updated_on&

Cc%5B%5D=done_ratio&c%5B%5D=due_date&ids%5B%5D=8181 404
clipboard-202305301321-3hpjk.png

The "context menu" DOES work, when I'm on the "My page" view or when there is no filter selected.

(sorry, I didn't find the 5.0.5 on "Affected version" below so | take the nearest | found.)

History

#1 - 2023-10-04 13:47 - Nono Nono

it still the case on 5.0.6

#2 - 2023-10-22 09:52 - Mischa The Evil

- Category changed from Issues to Issues list

| can't test this now but FTR: does the (functionally-equal) "regular" right-click menu work as expected with a selected custom query or is it broken as
well?

#3 - 2023-10-22 10:27 - Marius BALTEANU
- Affected version changed from 5.0.4 to 5.0.5

#4 - 2023-11-08 14:54 - Nono Nono
On the my/page it works

On any /projects/xxx/issues?query_id=xx or /issues?query_id=xx it does not work.

#5 - 2023-11-11 07:04 - Marius BALTEANU

- Status changed from New to Needs feedback

| cannot reproduce on current trunk.

Please post information about your instance from Administration -> Information (/admin/info).

#6 - 2024-01-30 10:44 - Nono Nono

it's now fixed on 5.0.7

#7 - 2024-01-30 12:49 - Marius BALTEANU
- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks!
